package vtk;

import java.util.Properties;
import java.util.StringTokenizer;

public class vtkSettings
{
  private static String GetVTKBuildLibDir() { return "/tmp/osgeo-vtk-20200225-12976-6swwio/VTK-8.2.0/build/lib"; }
  private static String GetVTKInstallLibDir() { return "/usr/local/Cellar/osgeo-vtk/8.2.0_14/"; }

  private static String[] Split(String str, String sep)
    {
    StringTokenizer st = new StringTokenizer(str, sep);
    int size = st.countTokens();
    String[] res = new String[size];
    int cnt = 0;
    while (st.hasMoreTokens())
      {
      res[cnt] = st.nextToken();
      cnt ++;
      }
    return res;
    }

  public static String GetVTKLibraryDir()
    {
    String lpath = null;
    Properties p = System.getProperties();
    String path_separator = p.getProperty("path.separator");
    String s = p.getProperty("java.class.path");
    String[] paths = vtkSettings.Split(s, path_separator);
    int cc;
    for ( cc = 0; cc < paths.length; cc ++ )
      {
      if ( paths[cc].endsWith("vtk.jar") )
        {
        lpath = paths[cc].substring(0, paths[cc].length()-"vtk.jar".length()-1);
        }
      }
    if ( lpath == null )
      {
      lpath = vtkSettings.GetVTKInstallLibDir();
      }
    return lpath;
    }

  public static String[] GetKits()
    {
    return vtkSettings.Split("CommonCore;CommonMath;CommonMisc;CommonSystem;CommonTransforms;CommonDataModel;CommonColor;CommonExecutionModel;CommonComputationalGeometry;FiltersCore;FiltersGeneral;ImagingCore;ImagingFourier;FiltersStatistics;FiltersExtraction;InfovisCore;FiltersGeometry;FiltersSources;RenderingCore;RenderingFreeType;RenderingContext2D;ChartsCore;IOCore;IOLegacy;IOXMLParser;DomainsChemistry;RenderingOpenGL2;DomainsChemistryOpenGL2;FiltersModeling;ParallelCore;FiltersParallel;ParallelMPI;FiltersParallelMPI;DomainsParallelChemistry;IOXML;FiltersAMR;FiltersFlowPaths;FiltersGeneric;ImagingSources;FiltersHybrid;FiltersHyperTree;ImagingGeneral;FiltersImaging;FiltersParallelDIY2;FiltersParallelFlowPaths;FiltersParallelGeometry;FiltersParallelImaging;FiltersParallelStatistics;FiltersVerdict;FiltersParallelVerdict;FiltersPoints;FiltersProgrammable;FiltersReebGraph;FiltersSMP;FiltersSelection;FiltersTexture;FiltersTopology;InteractionStyle;IOSQL;IOImage;ImagingHybrid;InfovisLayout;ImagingColor;RenderingAnnotation;RenderingVolume;InteractionWidgets;ViewsCore;GeovisCore;IOGDAL;GeovisGDAL;IOAMR;IOAsynchronous;IOCityGML;IOEnSight;IOExodus;RenderingGL2PSOpenGL2;IOExport;IOExportOpenGL2;IOExportPDF;IOMovie;IOVideo;IOFFMPEG;IOGeoJSON;IOGeometry;IOImport;IOInfovis;IOLSDyna;IOMINC;IOMPIImage;IONetCDF;IOParallel;IOMPIParallel;IOMotionFX;IOMySQL;IOODBC;IOPLY;IOParallelExodus;IOParallelLSDyna;IOParallelNetCDF;IOParallelXML;IOXdmf3;IOParallelXdmf3;IOPostgreSQL;IOSegY;IOTRUCHAS;IOTecplotTable;IOVPIC;IOVeraOut;IOXdmf2;ImagingMath;ImagingMorphological;ImagingStatistics;ImagingStencil;InfovisBoostGraphAlgorithms;InteractionImage;RenderingContextOpenGL2;RenderingImage;RenderingLICOpenGL2;RenderingLOD;RenderingLabel;RenderingMatplotlib;RenderingParallel;RenderingParallelLIC;RenderingQt;RenderingSceneGraph;RenderingVolumeOpenGL2;RenderingVolumeAMR;TestingRendering;ViewsContext2D;ViewsInfovis;ViewsGeovis", ";");
    }
}
